<ion-content>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-item>
      <ion-label>{{ 'Home >> Visitor Logs >> Details' | translate }}</ion-label>
    </ion-item>
  </ion-toolbar>
  <ion-grid>
    <ion-row>
      <ion-col size-md="6" offset-md="3">
        <ion-card class="ion-padding" *ngIf="this.cacheObject!=undefined">
          <ion-card-header>
            <ion-card-title>{{ 'Visitor Log' | translate }}</ion-card-title>
          </ion-card-header>
          <ion-card-content>
            <form method="post">

              <div align="center">
                <ion-avatar>
                  <img [src]="this.cacheObject.visitor.profilePicture.content">
                </ion-avatar>
              </div>

              <ion-item>
                <ion-label position="floating">{{ 'Visitor Name' | translate }}</ion-label>
                <ion-input [(ngModel)]="this.cacheObject.visitor.name" type="text" name="name" [readonly]="true">
                </ion-input>
              </ion-item>

              <ion-item>
                <ion-label position="floating">{{ 'Visitor Mobile Number' | translate }}</ion-label>
                <ion-input [(ngModel)]="this.cacheObject.visitor.phone" type="number" name="phone" [readonly]="true">
                </ion-input>
              </ion-item>

              <ion-item>
                <ion-label position="floating">{{ 'Visitor Address' | translate }}</ion-label>
                <ion-input [(ngModel)]="this.cacheObject.visitor.address" type="text" name="address" [readonly]="true">
                </ion-input>
              </ion-item>

              <ion-item>
                <ion-label position="floating">{{ 'Number of Accompanying Visitors' | translate }}</ion-label>
                <ion-input [(ngModel)]="this.cacheObject.noOfAccompanyingVisitors" type="number"
                  name="noOfAccompanyingVisitors" [readonly]="true">
                </ion-input>
              </ion-item>

              <ion-item *ngIf="this.cacheObject?.vehicleNo != null">
                <ion-label position="floating">{{ 'Vehicle Number' | translate }}</ion-label>
                <ion-input [(ngModel)]="this.cacheObject.vehicleNo" type="text" name="vehicleNo" [readonly]="true">
                </ion-input>
                <ion-label position="floating">{{ 'Type' | translate }}</ion-label>
                <ion-input [(ngModel)]="this.cacheObject.type" type="text" name="type" [readonly]="true">
                </ion-input>

                <!-- <ion-label position="floating">{{ 'Parking' | translate }}</ion-label>
                <ion-input [(ngModel)]="visitorLog.parking.name" type="text" name="parkingName" [readonly]="true">
                </ion-input> -->
              </ion-item>

              <!--  -->
              <ion-row>
                <ion-chip expand="full" color="success" *ngIf="this.cacheObject.approvalStatus === 'Approved'">
                  <ion-icon name="checkmark"></ion-icon>
                  <ion-label>{{ 'Approved' | translate }}</ion-label>
                </ion-chip>
                <ion-chip expand="full" color="danger" *ngIf="this.cacheObject.approvalStatus === 'Rejected'">
                  <ion-icon name="close"></ion-icon>
                  <ion-label>{{ 'Rejected' | translate }}</ion-label>
                </ion-chip>
                <ion-chip expand="full" color="warning" *ngIf="this.cacheObject.approvalStatus === 'Hold'">
                  <ion-icon name="hand"></ion-icon>
                  <ion-label>{{ 'Hold' | translate }}</ion-label>
                </ion-chip>
                <ion-chip expand="full" color="primary" *ngIf="this.cacheObject.approvalStatus === 'Pending'">
                  <ion-icon name="clock"></ion-icon>
                  <ion-label>{{ 'Pending' | translate }}</ion-label>
                </ion-chip>
              </ion-row>

            </form>
          </ion-card-content>
        </ion-card>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>